Bug 13196 - "Always show checkouts immediately" cookie should persist across sessions
Summary: "Always show checkouts immediately" cookie should persist across sessions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 11703 12550
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-04 17:00 UTC by Owen Leonard
Modified: 2015-12-03 22:11 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13196 - "Always show checkouts immediately" cookie should persist across sessions (1.64 KB, patch)
2014-11-04 17:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13196 - "Always show checkouts immediately" cookie should persist across sessions (1.82 KB, patch)
2014-11-05 07:01 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 13196 - "Always show checkouts immediately" cookie should persist across sessions (1.94 KB, patch)
2014-11-05 19:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-11-04 17:00:44 UTC
To me an option which says "Always show checkouts immediately" should really mean "Always," not just "for this session, until I close my browser."
Comment 1 Owen Leonard 2014-11-04 17:17:08 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2014-11-05 07:01:01 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-11-05 19:51:21 UTC
Created attachment 33269 [details] [review]
[PASSED QA] Bug 13196 - "Always show checkouts immediately" cookie should persist across sessions

This patch modifies the way the checkouts script sets the "Always show
checkouts" cookie so that it is set with an explicit expiration date
(+365 days). This will allow the cookie to persist across browser
sesssions.

To test, apply the patch and clear your browser cookies to start with a
clean slate.

- Check out to a patron who has existing checkouts. Their checkouts
  should not load by default.
- Check the "Always show checkouts immediately" checkbox.
- Close your browser.
- Reopen your browser and check out to that patron again. Checkouts
  should now be displayed by default.

Signed-off-by: Frederic Demians <f.demians@tamil.fr>

Works as described. I confirm that without this patch, the un-persistance of
"show checkouts" choice is very perturbing for librarians coming from previous
version of Koha.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

Passes tests and QA script, no problems found.
Comment 4 Tomás Cohen Arazi 2014-11-17 00:30:12 UTC
Patch pushed to master.

Thanks Owen!
Comment 5 Mason James 2015-01-21 07:07:42 UTC
This needs to be backported to 3.16.x
Comment 6 Owen Leonard 2015-01-22 17:57:11 UTC
(In reply to Mason James from comment #5)
> This needs to be backported to 3.16.x

This patch depends on Bug 12550, so I assume it is not relevant to 3.16.x.
Comment 7 Katrin Fischer 2015-05-11 13:00:27 UTC
Chris, can you consider this for the next 3.18.x? We have had several libraries asking for it since their update to 3.18 (see bug 14180).
Comment 8 Katrin Fischer 2015-05-13 08:26:16 UTC
I have tried to check the checkbox with jQuery, but it doesn't work quite right - the checkbox is checked, but the checkouts don't load... I think this patch would improve things.
Comment 9 Katrin Fischer 2015-05-13 08:49:16 UTC
Argh, I see now that this is already in 3.18. Sorry for the confusion.